package com.multictrl.modules.business.service;

import com.multictrl.modules.business.dto.flight.FlightExecute;

import java.util.List;

/**
 * 航线飞行
 *
 * @author Sdy
 * @since 1.0.0 2026/4/28
 */
public interface RouteFlightService {

    //取消任务
    String flightTaskUndo(String dockSn, List<String> taskIds);

    //执行航线
    String flightExecute(String dockSn, FlightExecute flightExecute, Boolean isRecord);

    //空中下发航线
    String inFlightWaylineDeliver(String dockSn, Long routeId);

    //暂停空中航线
    String inFlightWaylineStop(String dockSn);

    //恢复空中航线
    String inFlightWaylineRecover(String dockSn);
}
